<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
?>	
<br>
<br>
<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<div align="center"><strong><font face="Verdana" size="2" color="#800000">Resultado parcial do processo Seletivo</font></strong><br>
		<?
			if (!isset($curso)) {
		?>
		<font face="Verdana" size="2" color="#FF0000">Escolha o <strong>CURSO</strong> que deseja visualizar o resultado parcial</font></div>
		<?
			}
			else {
				if ((!isset($materia)) && (isset($curso))) {
			?>
			<font face="Verdana" size="2" color="#FF0000">Resultado Parcial</font></div>
			<?
				}
				else {
			?>
			<?
				}
			}
		?>
	</td>
</tr>
</table>

<?	
	if (!isset($curso)) {
		// Escolha do Curso 
		$sql = "SELECT * FROM cursos ORDER by codigo_curso ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td>';
						echo '<font color = "000000" face ="verdana" size="2">' . Descriptografar($info["codigo_curso"],$Chave) . '</font>';
					echo '</td>';
					echo '<td>';
						echo '<a href="cand_notas_parciais.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .Descriptografar($info["nome_curso"],$Chave). '</font></a>';
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
	}
	else {
	// Exibindo classificação parcial
		// Pesos das provas
		$query_pesos = "Select * from pesos";
		$result_pesos = mysql_query($query_pesos)
			or die(mysql_error());
		$peso_materia = array();
		$peso_prova = array();
		$peso_valor = array();
		$num_pesos = mysql_num_rows($result_pesos);
		$i = 1;
		while($parcial_pesos = mysql_fetch_array($result_pesos)) {
			$peso_curso[$i] = trim(Descriptografar($parcial_pesos["codigo_do_curso"],$Chave));
			$peso_materia[$i] = trim(Descriptografar($parcial_pesos["codigo_da_materia"],$Chave));
			$peso_valor[$i] = trim(Descriptografar($parcial_pesos["peso"],$Chave));
			$i++;
		}
			
		$sql = "SELECT * FROM resultado_parcial where cod_curso = '$curso' order by matricula ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font face="Verdana" size="2" color="#FF0000"><strong>Curso não processado até o momento!!!</strong></font></center>';
		}
		else {
			$cor = "E1E1E1";
			echo '<br><br>';
			echo '<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td width="20%" bgcolor="'.$cor.'">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Matrícula.:</strong></font>';
					echo '</td>';
					echo '<td width="80%" bgcolor="'.$cor.'">';
						$matricula = $info["matricula"];
						$sql_aux = "SELECT * FROM candidato where codigo = $matricula";
						$result_aux = mysql_query($sql_aux)
							or die ( 'Não foi possível executar a query 161.' );
						$info_aux = mysql_fetch_array($result_aux);
						echo '<font color = "000000" face ="verdana" size="2"><b>' . $matricula . ' (<font color="red">'. Descriptografar($info_aux["nome_candidato"],$Chave).'</b></font>)</font>';
						$pv_lingua = Descriptografar($info_aux["lingua"],$Chave);
					echo '</td>';
				echo '</tr>';

				echo '<tr>';
					echo '<td bgcolor="'.$cor.'">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Prova.:</strong></font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'">';
						$temp = $info["cod_materia"];
						$sql_aux = "SELECT * FROM provas where codigo = $temp";
						$result_aux = mysql_query($sql_aux)
							or die ( 'Não foi possível executar a query 161.' );
						$info_aux = mysql_fetch_array($result_aux);
						echo '<font color = "000000" face ="verdana" size="2"><b>';
							echo trim(Descriptografar($info_aux["materia"],$Chave));
						if ($temp == 2) {
							$sql_aux = "SELECT * FROM linguas where codigo = $pv_lingua";
							$result_aux = mysql_query($sql_aux)
								or die ( 'Não foi possível executar a query 161.' );
							$info_aux = mysql_fetch_array($result_aux);
							echo ' (<font color="blue"><b>' . Descriptografar($info_aux["lingua"],$Chave) . '</b></font>)';
						}
						echo '</b></font>';
					echo '</td>';
				echo '</tr>';

				echo '<tr>';
					echo '<td bgcolor="'.$cor.'">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Pontuação.:</strong></font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'">';
						echo '<font color = "000000" face ="verdana" size="2">';
						$pt_total = $info["pontuacao"];
						for ($j=1; $j<= $num_pesos; $j++) {
							if (($temp == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
								$total = $peso_valor[$j] * $pt_total;
								echo  '<font color="blue"><b>' . $total . '</font> pontos</b>';
							}
						}
						echo '</font>';
					echo '</td>';
				echo '</tr>';

				echo '<tr>';
					echo '<td colspan="2" bgcolor="FFFFFF">&nbsp;</td>';
				echo '</tr>';
				/*if ($cor == 'FFFFFF')
					$cor = "E1E1E1";
				else
					$cor = "FFFFFF";
				*/
				
			}
			
			echo '</table>';
		}
	}
?>
